//
// IStockQuotes.h
//
// Package: Generated
// Module:  IStockQuotes
//
// This file has been generated on 2010-05-15 09:22:27 UTC.
// Warning: All changes to this will be lost when the file is re-generated.
//


#ifndef IStockQuotes_INCLUDED
#define IStockQuotes_INCLUDED


#include "Poco/AutoPtr.h"
#include "Poco/RefCountedObject.h"
#include "Poco/Remoting/Identifiable.h"
#include "StockQuoteServer/StockQuotes.h"


namespace StockQuoteServer {


class IStockQuotes: public virtual Poco::RefCountedObject
{
public:
	typedef Poco::AutoPtr<IStockQuotes> Ptr;

	IStockQuotes();
		/// Creates a IStockQuotes.

	virtual ~IStockQuotes();
		/// Destroys a IStockQuotes.

	virtual double quoteFor(const std::string& symbol) = 0;
		/// Returns the current stock price for the stock
		/// with the given symbol (e.g. "GOOG").

	static const Poco::Remoting::Identifiable::TypeId& remoting__typeId();
		/// Returns the typeId of the class.

};


} // namespace StockQuoteServer


#endif // IStockQuotes_INCLUDED

