//
// StockQuotes.h
//


#ifndef StockQuoteServer_INCLUDED
#define StockQuoteServer_INCLUDED


#include "Poco/Poco.h"


namespace StockQuoteServer {


//@ remote
class StockQuotes
{
public:		
	double quoteFor(const std::string& symbol);
		/// Returns the current stock price for the stock
		/// with the given symbol (e.g. "GOOG").
};


} // namespace StockQuoteServer


#endif // StockQuoteServer_INCLUDED
