//
// StockQuotesClientHelper.h
//
// Package: Generated
// Module:  StockQuotesClientHelper
//
// This file has been generated on 2010-05-15 09:22:27 UTC.
// Warning: All changes to this will be lost when the file is re-generated.
//


#ifndef StockQuotesClientHelper_INCLUDED
#define StockQuotesClientHelper_INCLUDED


#include "Poco/Remoting/Identifiable.h"
#include "Poco/Remoting/ORB.h"
#include "StockQuoteServer/IStockQuotes.h"


namespace StockQuoteServer {


class StockQuotesClientHelper
{
public:
private:
	StockQuotesClientHelper();
		/// Creates a StockQuotesClientHelper. Use this class to find objects of a specific type.

	~StockQuotesClientHelper();
		/// Destroys a StockQuotesClientHelper.

public:
	static IStockQuotes::Ptr find(const std::string& uri);
		/// Finds an object at the ORB. Proxy/local object case are handled transparently.

	static IStockQuotes::Ptr findObject(const std::string& serverName, const Poco::Remoting::Identifiable::ObjectId& oid, Poco::UInt16 port, const std::string& transport, bool secure = bool(false));
		/// Finds an object at the ORB. Proxy/local object case are handled transparently.

private:
	IStockQuotes::Ptr findImpl(const std::string& uri);
		/// Finds an object at the ORB. Proxy/local object case are handled transparently.

	IStockQuotes::Ptr findObjectImpl(const std::string& serverName, const Poco::Remoting::Identifiable::ObjectId& oid, Poco::UInt16 port, const std::string& transport, bool secure);
		/// Finds an object at the ORB. Proxy/local object case are handled transparently.

	static StockQuotesClientHelper& instance();
		/// Returns a static instance of the helper class.

	Poco::Remoting::ORB* _pORB;

};


inline IStockQuotes::Ptr StockQuotesClientHelper::find(const std::string& uri)
{
	return StockQuotesClientHelper::instance().findImpl(uri);
}


inline IStockQuotes::Ptr StockQuotesClientHelper::findObject(const std::string& serverName, const Poco::Remoting::Identifiable::ObjectId& oid, Poco::UInt16 port, const std::string& transport, bool secure)
{
	return StockQuotesClientHelper::instance().findObjectImpl(serverName, oid, port, transport, secure);
}


} // namespace StockQuoteServer


#endif // StockQuotesClientHelper_INCLUDED

