//
// StockQuotesProxy.h
//
// Package: Generated
// Module:  StockQuotesProxy
//
// This file has been generated on 2010-05-15 09:22:27 UTC.
// Warning: All changes to this will be lost when the file is re-generated.
//


#ifndef StockQuotesProxy_INCLUDED
#define StockQuotesProxy_INCLUDED


#include "Poco/Remoting/Proxy.h"
#include "StockQuoteServer/IStockQuotes.h"


namespace StockQuoteServer {


class StockQuotesProxy: public StockQuoteServer::IStockQuotes, public Poco::Remoting::Proxy
{
public:
	StockQuotesProxy(const Poco::Remoting::Identifiable::ObjectId& oid);
		/// Creates a StockQuotesProxy.

	virtual ~StockQuotesProxy();
		/// Destroys a StockQuotesProxy.

	double quoteFor(const std::string& symbol);
		/// Returns the current stock price for the stock
		/// with the given symbol (e.g. "GOOG").

	virtual const Poco::Remoting::Identifiable::TypeId& remoting__getTypeId() const;

private:
	static const std::string DEFAULT_NS;

	mutable double _quoteForRet;

};


inline const Poco::Remoting::Identifiable::TypeId& StockQuotesProxy::remoting__getTypeId() const
{
	return IStockQuotes::remoting__typeId();
}


} // namespace StockQuoteServer


#endif // StockQuotesProxy_INCLUDED

